#
#			Radiactive Mod Race: Guerrillero / Guerrilla
#

import es
import popuplib 
import playerlib
import usermsg
import weaponlib
import votelib
import random
import gamethread
import sys, traceback
import psyco
import effectlib
import vecmath 
import langlib
import cfglib
import os
import keyvalues
import math
import radmod
from radmod import radmod
psyco.full()

info = es.AddonInfo()
info.name = "guerrillero"
info.version = "1"
info.author = "Seth"
info.url = "http://www.hammerscript.webcindario.com"
info.basename = "guerrillero"
info.description = "A rpg mod for Counter Strike Source"
radmod_guerrillero = es.ServerVar('guerrillero',info.version,'radmod Version -==- Made by Seth').makepublic()


""" Race Config Starts """
race_name 			= "Guerrillero"
race_lvlreq			= 0
race_rptsreq 		= 0
race_ident 			= "guerrillero"
race_description 	= "Una raza especializada en hacer rushes"
race_lvlstart 		= 1
race_rptsstart 		= 0
race_rptsmultip 	= 1
race_author 		= "Seth"
race_colorstr		= "0 255 0"
weap_restrict		= ["g3sg1", "sg550", "awp", "scout", "m249"]
race_text 			= "guerrillero"
speed					= 1.20
health					= 80

""" Skills race config starts """
#Aura de fuego / Fire aura
skillauto_ident 			= "fuego"
skillauto_text				= "fuego 1"
skillauto_text_desc		= "fuego 2"
skillauto_lvls				= 6
skillauto_rptsreq			= 400
skillauto_author			= "Seth"
skillauto_lvlmin				= 0
skillauto_lvlfrequence 	= 2
skillauto_allowedraces	= []
skillauto_allowedraces.append("guerrillero")
glob								= "no" 

#Impulso titanico / Titanic push
skillno_ident 				= "push"
skillno_text					= "push 1"
skillno_text_desc 		= "push 2"
skillno_lvls					= 10
skillno_rptsreq				= 500
skillno_author				= "Seth"
skillno_lvlmin				= 10
skillno_lvlfrequence 	= 3
skillno_allowedraces	= []
skillno_allowedraces.append("guerrillero")
glob								= "no" 

#Escudo infernal / Infernal Shield
skillatras_ident 				= "shield"
skillatras_text					= "shield 1"
skillatras_text_desc			= "shield 2"
skillatras_lvls					= 5
skillatras_rptsreq				= 700
skillatras_author				= "Seth"
skillatras_lvlmin				= 20
skillatras_lvlfrequence 	= 5
skillatras_allowedraces	= []
skillatras_allowedraces.append("guerrillero")
glob								= "no" 

infernal = []
infernals = {}

text = None
def load():
	global text
	text = langlib.Strings(es.getAddonPath("radmod") + "/strings.ini")
	raza = radmod.Raza(race_ident)
	
	#Crear la raza
	raza.setRaza(race_ident, race_name, race_lvlreq, race_description, race_lvlstart, race_rptsstart, race_rptsreq, race_rptsmultip, race_author, race_colorstr, race_text, speed, health, weap_restrict)
	
	#Crear la habilidad "Aura de fuego" / Make the skill "Fire aura"
	raza.createSkill(skillauto_ident, skillauto_lvls, skillauto_rptsreq, skillauto_author, skillauto_lvlmin, skillauto_lvlfrequence, skillauto_allowedraces, skillauto_ident, skillauto_text, skillauto_text_desc, glob)
	
	#Crear la habilidad "Impulso titanico" / Make the skill "Titanic push"
	raza.createSkill(skillno_ident, skillno_lvls, skillno_rptsreq, skillno_author, skillno_lvlmin, skillno_lvlfrequence, skillno_allowedraces, skillno_ident, skillno_text, skillno_text_desc, glob)
	
	#Crear la habilidad "Escudo infernal" / Make the skill "Infernal Shield"
	raza.createSkill(skillatras_ident, skillatras_lvls, skillatras_rptsreq, skillatras_author, skillatras_lvlmin, skillatras_lvlfrequence, skillatras_allowedraces, skillatras_ident, skillatras_text, skillatras_text_desc, glob)
	
def player_hurt(ev):
	global infernal
	global infernals
	#Aura de fuego / Fire aura
	victim_steam = ev['es_steamid']
	victim = ev['userid'] 
	attacker = ev['attacker']
	victim_clase = es.keygetvalue("radmod", victim_steam, "clase")
	if victim_clase == "guerrillero":
		abil_fire = int(es.keygetvalue("radmod", victim_steam, skillauto_ident))
		if victim in infernal:
			for x in infernals:
				if x['userid'] == victim:
					dmg = int(ev['dmg_health'])
					es.server.queuecmd('damage %s %s 32 %s'%(attacker, dmg, victim))
					x['count'] = x['count'] - 1
					if x['count'] == 0:
						infernals.remove(x)
						infernal.remove(victim)
		else:
			if abil_fire:
				torand = 11 - abil
				ran = random.randint(1, torand)	
				if torand == 9:
					randed = 4
				elif torand == 7:
					randed = 3
				elif torand == 5:
					randed = 2
				if ran == randed:
					lang = playerlib.getPlayer(victim).get("lang")
					dmg = int(ev['dmg_health'])
					dmg = dmg / abil
					es.server.queuecmd('damage %s %s 32 %s'%(attacker, dmg, victim))
					es.tell(victim, '#multi', text("skills 1", None, lang))
				
def skill__1(ev):
	userid = ev['userid']
	steam = es.getplayersteamid(userid)
	abil = int(es.keygetvalue("radmod", steam, skillno_ident))
	lang = playerlib.getPlayer(userid).get("lang")
	if abil:
		#crear efecto visual aqui
		jumpy = abil * 25
		playerlib.getPlayer(userid).push(10, jumpy, 1)
		es.keysetvalue("radmod", steam, skillno_ident, 0)
		temp = 3 * abil
		gamethread.delayed(temp, es.keysetvalue, ("radmod", steam, skillno_ident, abil))
	
def skill__2(ev):
	global infernals
	global infernal
	userid = ev['userid']
	steam = es.getplayersteamid(userid)
	abil = int(es.keygetvalue("radmod", steam, skillatras_ident))
	lang = playerlib.getPlayer(userid).get("lang")
	if abil:
		#crear efecto visual aqui
		if not userid in infernal:
			infernal.append(userid)
			infernals[userid]['userid'] = userid
			infernals[userid]['count'] = abil
			es.keysetvalue("radmod", steam, skillatras_ident, 0)
			temp = 7 * abil
			gamethread.delayed(temp, es.keysetvalue, ("radmod", steam, skillatras_ident, abil))