#
#			Radiactive Mod Race: Ninja
#

import es
import popuplib 
import playerlib
import usermsg
import weaponlib
import votelib
import random
import gamethread
import sys, traceback
import psyco
import effectlib
import vecmath 
import langlib
import cfglib
import os
import keyvalues
import math
import radmod
from radmod import radmod
psyco.full()

info = es.AddonInfo()
info.name = "ninja"
info.version = "1"
info.author = "Seth"
info.url = "http://www.hammerscript.webcindario.com"
info.basename = "ninja"
info.description = "A rpg mod for Counter Strike Source"
radmod_ninja = es.ServerVar('ninja',info.version,'radmod Version -==- Made by Seth').makepublic()


""" Race Config Starts """
race_name 			= "Ninja"
race_lvlreq			= 0
race_rptsreq 		= 0
race_ident 			= "ninja"
race_description 	= "Una raza especializada atacar a escondidas"
race_lvlstart 		= 1
race_rptsstart 		= 0
race_rptsmultip 	= 1
race_author 		= "Seth"
race_colorstr		= "0 0 0"
weap_restrict		= ["m3", "xm1014", "g3sg1", "sg550", "awp", "m249"]
race_text 			= "ninja"
speed					= 0.9
health					= 130

""" Skills race config starts """
#Bomba de humo / Smokebomb
skillauto_ident 			= "smoke"
skillauto_text				= "smoke 1"
skillauto_text_desc		= "smoke 2"
skillauto_lvls				= 10
skillauto_rptsreq			= 500
skillauto_author			= "Seth"
skillauto_lvlmin				= 0
skillauto_lvlfrequence 	= 2
skillauto_allowedraces	= []
skillauto_allowedraces.append("ninja")
glob								= "no" 

#Como el viento / Like the wind
skillno_ident 				= "viento"
skillno_text					= "viento 1"
skillno_text_desc			= "viento 2"
skillno_lvls					= 6
skillno_rptsreq				= 800
skillno_author				= "Seth"
skillno_lvlmin				= 10
skillno_lvlfrequence 	= 3
skillno_allowedraces	= []
skillno_allowedraces.append("ninja")
glob								= "no" 

#Desaparecer / Vanish
skillatras_ident 				= "vanish"
skillatras_text					= "vanish 1"
skillatras_text_desc			= "vanish 2"
skillatras_lvls					= 5
skillatras_rptsreq				= 900
skillatras_author				= "Seth"
skillatras_lvlmin				= 15
skillatras_lvlfrequence 	= 5
skillatras_allowedraces	= []
skillatras_allowedraces.append("ninja")
glob								= "no" 


text = None
def load():
	global text
	text = langlib.Strings(es.getAddonPath("radmod") + "/strings.ini")
	raza = radmod.Raza(race_ident)
	
	#Crear la raza
	raza.setRaza(race_ident, race_name, race_lvlreq, race_description, race_lvlstart, race_rptsstart, race_rptsreq, race_rptsmultip, race_author, race_colorstr, race_text, speed, health, weap_restrict)
	
	#Crear la habilidad "Bomba de humo" / Make the skill "Smoke bomb"
	raza.createSkill(skillauto_ident, skillauto_lvls, skillauto_rptsreq, skillauto_author, skillauto_lvlmin, skillauto_lvlfrequence, skillauto_allowedraces, skillauto_ident, skillauto_text, skillauto_text_desc, glob)
	
	#Crear la habilidad "Como el viento" / Make the skill "Like the wind"
	raza.createSkill(skillno_ident, skillno_lvls, skillno_rptsreq, skillno_author, skillno_lvlmin, skillno_lvlfrequence, skillno_allowedraces, skillno_ident, skillno_text, skillno_text_desc, glob)
	
	#Crear la habilidad "Sigilo" / Make the skill "Sigil"
	raza.createSkill(skillatras_ident, skillatras_lvls, skillatras_rptsreq, skillatras_author, skillatras_lvlmin, skillatras_lvlfrequence, skillatras_allowedraces, skillatras_ident, skillatras_text, skillatras_text_desc, glob)